#ifndef DOCKWIDGET_H
#define DOCKWIDGET_H

#include <QtGui>
#include <QDockWidget>

#include "glwidget.h"

class DockWidget : public QDockWidget
{

    Q_OBJECT

public:

    DockWidget(GLWidget * glw);

public slots:

    void UpdateECostLabel(int val);
    void UpdateBlendWinLabel(int val);    
    void UpdatePointErrorLabel(int val);

private:

    QLabel * m_ecostlabel;
    QSlider * m_ecostslider;

    QLabel * m_blendlabel;
    QSlider * m_blendslider;

    QCheckBox * m_drawpolybox;
    QCheckBox * m_drawcurvebox;

    QCheckBox * m_greedybox;

    QLabel * m_pointerrlabel;
    QSlider * m_pointerrslider;



};

#endif // DOCKWIDGET_H
