#include "util.h"

GLint Util::v[4];

Util::Util()
{
}

void Util::PushDrawOrthoGL(const int viewx, const int viewy, const int vieww, const int viewh, const float left, const float right, const float bottom, const float top) {

    glGetIntegerv(GL_VIEWPORT, v);

    glViewport(viewx, viewy, vieww, viewh);

    glMatrixMode(GL_PROJECTION);
    glPushMatrix();
    glLoadIdentity();

    gluOrtho2D(left, right, bottom, top);

    glMatrixMode(GL_MODELVIEW);
    glPushMatrix();
    glLoadIdentity();

}

void Util::PopDrawOrthoGL()
{

    glViewport(v[0], v[1], v[2], v[3]);

    glMatrixMode(GL_PROJECTION);
    glPopMatrix();

    glMatrixMode(GL_MODELVIEW);
    glPopMatrix();

}
